Debian Bug report logs - #587302
impossible to override offline mode when using network-manager

version graph

Package: evolution; Maintainer for evolution is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution is src:evolution.

Reported by: clohr <christophe.lohr@cegetel.net>

Date: Sun, 27 Jun 2010 08:54:01 UTC

Severity: important

Tags: jessie, sid, squeeze, upstream, wheezy

Merged with 549451, 582358, 584200, 587325, 590547, 594072, 597147, 599722, 601340

Found in versions evolution/2.30.2-1, evolution/2.30.3-1, evolution/2.30.1.2-2, evolution/2.30.3-5, evolution/2.28.0-2, evolution/2.30.1.2-3, evolution/3.2.2-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, christophe.lohr@cegetel.net, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#587302; Package evolution. (Sun, 27 Jun 2010 08:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to clohr <christophe.lohr@cegetel.net>:
New Bug report received and forwarded. Copy sent to christophe.lohr@cegetel.net, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 08:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: clohr <christophe.lohr@cegetel.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 10:51:02 +0200
Package: evolution
Version: 2.30.1.2-3
Severity: normal

Evolution assumes that Network Manager is the only way to have network on a
system. Note that interfaces can either be managed by "/etc/network/interfaces"
or by Network Manager. However, if interfaces managed by NM are disconected,
Evo thinks there is no network at all, and start offline. Moreover, it refuses
to switch to online mode, eaven if the user requests it.

Possible workarround: before using Evo in online mode, plase ask first your
system administrator to disable Network Manager, or to unisnstall it. ;-)





-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages evolution depends on:
ii  dbus                    1.2.24-1         simple interprocess messaging syst
ii  debconf [debconf-2.0]   1.5.32           Debian configuration management sy
ii  evolution-common        2.30.1.2-3       architecture independent files for
ii  evolution-data-server   2.30.1-5         evolution database backend server
ii  gconf2                  2.28.1-3         GNOME configuration database syste
ii  gnome-icon-theme        2.30.3-1         GNOME Desktop icon theme
ii  libart-2.0-2            2.3.21-1         Library of functions for 2D graphi
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libc6                   2.11.1-3         Embedded GNU C Library: Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector graphics libra
ii  libcamel1.2-14          2.30.1-5         The Evolution MIME message handlin
ii  libcanberra-gtk0        0.24-1           Gtk+ helper for playing widget eve
ii  libcanberra0            0.24-1           a simple abstract interface for pl
ii  libdbus-1-3             1.2.24-1         simple interprocess messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess messaging syst
ii  libebackend1.2-0        2.30.1-5         Utility library for evolution data
ii  libebook1.2-9           2.30.1-5         Client library for evolution addre
ii  libecal1.2-7            2.30.1-5         Client library for evolution calen
ii  libedataserver1.2-13    2.30.1-5         Utility library for evolution data
ii  libedataserverui1.2-8   2.30.1-5         GUI utility library for evolution 
ii  libegroupwise1.2-13     2.30.1-5         Client library for accessing group
ii  libenchant1c2a          1.6.0-1          a wrapper library for various spel
ii  libevolution            2.30.1.2-3       evolution libraries
ii  libfontconfig1          2.8.0-2.1        generic font configuration library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration database syste
ii  libgdata-google1.2-1    2.30.1-5         Client library for accessing Googl
ii  libgdata1.2-1           2.30.1-5         Client library for accessing Googl
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgnome-desktop-2-17   2.30.0-2         Utility library for loading .deskt
ii  libgnomecanvas2-0       2.30.1-1         A powerful object-oriented display
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user interface 
ii  libgtkhtml-editor0      3.30.1-2         HTML rendering/editing library - e
ii  libgtkhtml3.14-19       3.30.1-2         HTML rendering/editing library - r
ii  libgweather1            2.30.0-2         GWeather shared library
ii  libical0                0.44-3           iCalendar library implementation i
ii  libice6                 2:1.0.6-1        X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1- 0.4.5-1          sends desktop notifications to a n
ii  libnspr4-0d             4.8.4-1          NetScape Portable Runtime Library
ii  libnss3-1d              3.12.6-2         Network Security Service libraries
ii  libpango1.0-0           1.28.1-1         Layout and rendering of internatio
ii  libsm6                  2:1.1.1-1        X11 Session Management library
ii  libsoup2.4-1            2.30.1-1         an HTTP library implementation in 
ii  libsqlite3-0            3.6.23.1-4       SQLite 3 shared library
ii  libstartup-notification 0.10-1           library for program launch feedbac
ii  libunique-1.0-0         1.1.6-1          Library for writing single instanc
ii  libxml2                 2.7.7.dfsg-2     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages evolution recommends:
pn  bogofilter | spamassassi <none>          (no description available)
ii  evolution-plugins        2.30.1.2-3      standard plugins for Evolution
ii  evolution-webcal         2.28.1-1        webcal: URL handler for GNOME and 
ii  gnome-desktop-data       2.30.0-2        Common files for GNOME desktop app
ii  yelp                     2.30.1+webkit-1 Help browser for GNOME

Versions of packages evolution suggests:
ii  bug-buddy                  2.30.0+dfsg-1 GNOME Desktop Environment bug repo
ii  evolution-dbg              2.30.1.2-3    debugging symbols for Evolution
pn  evolution-exchange         <none>        (no description available)
pn  evolution-plugins-experime <none>        (no description available)
ii  gnupg                      1.4.10-4      GNU privacy guard - a free PGP rep
ii  network-manager            0.8-1         network management framework daemo

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#587302; Package evolution. (Sun, 27 Jun 2010 13:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 13:30:10 GMT) Full text and rfc822 format available.

Message #10 received at 587302@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: clohr <christophe.lohr@cegetel.net>, 587302@bugs.debian.org, 584200@bugs.debian.org, 584200-submitter@bugs.debian.org, 582358@bugs.debian.org, 582358-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 14:22:14 +0200
[Message part 1 (text/plain, inline)]
retitle 582358 impossible to override offline mode when using network-manager
forcemerge 582358 584200 587302
thanks

On dim., 2010-06-27 at 10:51 +0200, clohr wrote:
> Evolution assumes that Network Manager is the only way to have network on a
> system. Note that interfaces can either be managed by "/etc/network/interfaces"
> or by Network Manager. However, if interfaces managed by NM are disconected,
> Evo thinks there is no network at all, and start offline. Moreover, it refuses
> to switch to online mode, eaven if the user requests it.
> 
> Possible workarround: before using Evo in online mode, plase ask first your
> system administrator to disable Network Manager, or to unisnstall it. ;-) 

Doesn't this sound like #584200 or #582358?

Now, like for all the other bug reports, I don't have network-manager
(and I'm not interested in it), so I can't test. Maybe there's a bug and
people should be able to override the offline mode even when using
network-manager (though imho the whole point of NM is to give it your
network keys and let it do what it want, if you don't like it, don't use
it at all). But I have no way to check, so your best bet is to open the
bug *upstream* (there's now a text asking for that when using
reportbug), so you can explain exactly the wanted behavior and argue
with them (check before if there's no upstream issue already opened,
though)

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 582358 584200 587302. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 13:30:13 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 13:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#587302; Package evolution. (Sun, 27 Jun 2010 14:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Lohr <christophe.lohr@cegetel.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 14:15:06 GMT) Full text and rfc822 format available.

Message #19 received at 587302@bugs.debian.org (full text, mbox):

From: Christophe Lohr <christophe.lohr@cegetel.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 587302@bugs.debian.org, 584200@bugs.debian.org, 584200-submitter@bugs.debian.org, 582358@bugs.debian.org, 582358-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 16:11:55 +0200
Le 27/06/2010 14:22, Yves-Alexis Perez a écrit :
> retitle 582358 impossible to override offline mode when using network-manager
> forcemerge 582358 584200 587302
> thanks
>
> On dim., 2010-06-27 at 10:51 +0200, clohr wrote:
>    
>> Evolution assumes that Network Manager is the only way to have network on a
>> system. Note that interfaces can either be managed by "/etc/network/interfaces"
>> or by Network Manager. However, if interfaces managed by NM are disconected,
>> Evo thinks there is no network at all, and start offline. Moreover, it refuses
>> to switch to online mode, eaven if the user requests it.
>>
>> Possible workarround: before using Evo in online mode, please ask first your
>> system administrator to disable Network Manager, or to unisnstall it. ;-)
>>      
> Doesn't this sound like #584200 or #582358?
>    

Sorry, you're right.

> Now, like for all the other bug reports, I don't have network-manager
> (and I'm not interested in it), so I can't test. Maybe there's a bug and
> people should be able to override the offline mode even when using
> network-manager

I'm ok if Evo asks NM about network interfaces, and _suggests_ the 
offline mode.
However:
- Evo should look at interfaces not managed by NM;
- the user must be able to change this descision.


> (though imho the whole point of NM is to give it your
> network keys and let it do what it want, if you don't like it, don't use
> it at all).

More precisely: NM do what it want for a given set of interfaces. A 
system may have several interfaces, some are managed by NM, other not.

> But I have no way to check, so your best bet is to open the
> bug *upstream* (there's now a text asking for that when using
> reportbug), so you can explain exactly the wanted behavior and argue
> with them (check before if there's no upstream issue already opened,
> though)
>    

Thank you.

Regards






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#587302; Package evolution. (Sun, 27 Jun 2010 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 14:30:03 GMT) Full text and rfc822 format available.

Message #24 received at 587302@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Christophe Lohr <christophe.lohr@cegetel.net>
Cc: 587302@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 16:25:42 +0200
[Message part 1 (text/plain, inline)]
On dim., 2010-06-27 at 16:11 +0200, Christophe Lohr wrote:
> Le 27/06/2010 14:22, Yves-Alexis Perez a écrit :
> > retitle 582358 impossible to override offline mode when using network-manager
> > forcemerge 582358 584200 587302
> > thanks
> >
> > On dim., 2010-06-27 at 10:51 +0200, clohr wrote:
> >    
> >> Evolution assumes that Network Manager is the only way to have network on a
> >> system. Note that interfaces can either be managed by "/etc/network/interfaces"
> >> or by Network Manager. However, if interfaces managed by NM are disconected,
> >> Evo thinks there is no network at all, and start offline. Moreover, it refuses
> >> to switch to online mode, eaven if the user requests it.
> >>
> >> Possible workarround: before using Evo in online mode, please ask first your
> >> system administrator to disable Network Manager, or to unisnstall it. ;-)
> >>      
> > Doesn't this sound like #584200 or #582358?
> >    
> 
> Sorry, you're right.
> 
> > Now, like for all the other bug reports, I don't have network-manager
> > (and I'm not interested in it), so I can't test. Maybe there's a bug and
> > people should be able to override the offline mode even when using
> > network-manager
> 
> I'm ok if Evo asks NM about network interfaces, and _suggests_ the 
> offline mode.
> However:
> - Evo should look at interfaces not managed by NM;
> - the user must be able to change this descision.

The thing is (I don't know a lot about NM so I may say crap), “online”
status is global, not per-interface. So either you're online, either
you're not. The grey area where you're online on an interface not
managed by NM is impossible to manage. So maybe NM shouldn't manage it,
but if it does, it has to do it globally. If you disagree, then don't
use NM. (especially since “online” is fuzzy anyway, what if interface is
up but you're on a non-routed network? what if you're routed but
filtered?).
> 
> 
> > (though imho the whole point of NM is to give it your
> > network keys and let it do what it want, if you don't like it, don't use
> > it at all).
> 
> More precisely: NM do what it want for a given set of interfaces. A 
> system may have several interfaces, some are managed by NM, other not.

Afaict, NM works fine for simple cases. For the others, just do stuff
manually. But override offline/online status in evo won't be enough, it
should be handled in NM anyway.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 549451 582358 584200 587302 587325. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 14:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'impossible to override offline mode when using network-manager' from 'evolution: Forced offline by error' Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 15:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#587302; Package evolution. (Sun, 27 Jun 2010 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Lohr <christophe.lohr@cegetel.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 15:03:05 GMT) Full text and rfc822 format available.

Message #33 received at 587302@bugs.debian.org (full text, mbox):

From: Christophe Lohr <christophe.lohr@cegetel.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 587302@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 17:00:23 +0200
Le 27/06/2010 16:25, Yves-Alexis Perez a écrit :
> The thing is (I don't know a lot about NM so I may say crap), “online”
> status is global, not per-interface. So either you're online, either
> you're not. The grey area where you're online on an interface not
> managed by NM is impossible to manage. So maybe NM shouldn't manage it,
> but if it does, it has to do it globally.

This is a matter of semantic. What does it means "to be online"?
... to be online with what?
Evo is a network client. So it has to be online with its servers (imap, 
smtp, etc.). To check this status, it can do a ping, or try 
imap/smtp/etc. connection.

But Evo seems to check if the "global system is online" (why?)
Does it means "there exists a network interface that is up"? (this is a 
rather weak criteria)
If it want to know that, it just has to do a "ip link show up". Don't 
ask to NM.

>   If you disagree, then don't
> use NM. (especially since “online” is fuzzy anyway, what if interface is
> up but you're on a non-routed network? what if you're routed but
> filtered?).
>    

If Evo is definitively incompatible with NM, I will make a choice 
between the two ;-)
I use NM to manage the wifi interface. It does well the job. For the 3G 
interface, I have some scripts, out of the scope of NM. From time to 
time, I also have a VPN, not managed by NM.
So, it's not a good idea to ask NM if I am online or not.


The best thing to do is to do nothing.
Just do usual imap/smtp/etc. conections. If it works, great. If not, 
suggests the offline mode.


Regards.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#587302; Package evolution. (Sun, 27 Jun 2010 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 15:12:03 GMT) Full text and rfc822 format available.

Message #38 received at 587302@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Christophe Lohr <christophe.lohr@cegetel.net>, 587302@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 17:07:25 +0200
[Message part 1 (text/plain, inline)]
On dim., 2010-06-27 at 17:00 +0200, Christophe Lohr wrote:
> Le 27/06/2010 16:25, Yves-Alexis Perez a écrit :
> > The thing is (I don't know a lot about NM so I may say crap), “online”
> > status is global, not per-interface. So either you're online, either
> > you're not. The grey area where you're online on an interface not
> > managed by NM is impossible to manage. So maybe NM shouldn't manage it,
> > but if it does, it has to do it globally.
> 
> This is a matter of semantic. What does it means "to be online"?
> ... to be online with what?
> Evo is a network client. So it has to be online with its servers (imap, 
> smtp, etc.). To check this status, it can do a ping, or try 
> imap/smtp/etc. connection.
> 
> But Evo seems to check if the "global system is online" (why?)

Because you installed network-manager.

> Does it means "there exists a network interface that is up"? (this is a 
> rather weak criteria)
> If it want to know that, it just has to do a "ip link show up". Don't 
> ask to NM.
> 
> >   If you disagree, then don't
> > use NM. (especially since “online” is fuzzy anyway, what if interface is
> > up but you're on a non-routed network? what if you're routed but
> > filtered?).
> >    
> 
> If Evo is definitively incompatible with NM, I will make a choice 
> between the two ;-)

It's not incompatible. You just seem to not use network-manager the way
it's intended to.

> I use NM to manage the wifi interface. It does well the job. For the 3G 
> interface, I have some scripts, out of the scope of NM. From time to 
> time, I also have a VPN, not managed by NM.
> So, it's not a good idea to ask NM if I am online or not.

If you don't like NM to be able to give a decision on online/offline
status, don't use NM. That's all (and that's my latest mail, I already
precised like hundred of mails ago that I didn't use NM and didn't care
about it.)

*Now*, I can understand that some people would like to, from time to
time, override offline decision. That may be a bug, but your best bet is
to open a bug *upstream* instead of here.

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#587302; Package evolution. (Sun, 27 Jun 2010 19:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Lohr <christophe.lohr@cegetel.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 19:30:04 GMT) Full text and rfc822 format available.

Message #43 received at 587302@bugs.debian.org (full text, mbox):

From: Christophe Lohr <christophe.lohr@cegetel.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 587302@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 21:27:36 +0200
Le 27/06/2010 17:07, Yves-Alexis Perez a écrit :
>> But Evo seems to check if the "global system is online" (why?)
>>      
> Because you installed network-manager.
>    

I'm convince that it is out of it's scope.
Evo just need to reach email servers, and nothing else.
In some circumstances, these servers may be local, on an offline system...
At the opposite, servers may be unreachable even if the system is said 
to be online (according to NM semantics: one of the interfaces it has to 
manage is up)

The only way to know if servers are reachable is to try a connections.
Do one need to check it before all?

> It's not incompatible. You just seem to not use network-manager the way
> it's intended to.
>    

Maybe.

However, are you sure that Evo use it the way it's intended to?

>> I use NM to manage the wifi interface. It does well the job. For the 3G
>> interface, I have some scripts, out of the scope of NM. From time to
>> time, I also have a VPN, not managed by NM.
>> So, it's not a good idea to ask NM if I am online or not.
>>      
> If you don't like NM to be able to give a decision on online/offline
> status, don't use NM.

I like NM, it does a good job for managing interfaces it is configured to.
Moreover, its decision on online/offline status is relevant, except that 
it concerns only interfaces it is configured to manage. Developers of 
other applications may misunderstand this point and use NM without 
precautions.

> *Now*, I can understand that some people would like to, from time to
> time, override offline decision. That may be a bug, but your best bet is
> to open a bug *upstream* instead of here.
>    

According to your suggestion, I posted this:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=587325

Many thanks for your feed back.
Regards





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#587302; Package evolution. (Sun, 27 Jun 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #48 received at 587302@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Christophe Lohr <christophe.lohr@cegetel.net>, 587302@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: Bug#587302: Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 22:54:09 +0200
[Message part 1 (text/plain, inline)]
On dim., 2010-06-27 at 21:27 +0200, Christophe Lohr wrote:
> > *Now*, I can understand that some people would like to, from time to
> > time, override offline decision. That may be a bug, but your best
> bet is
> > to open a bug *upstream* instead of here.
> >    
> 
> According to your suggestion, I posted this:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=587325
> 
I guess you didn't really understand what “upstream” is? I mean
reporting to evolution developpers, in GNOME bugzilla, at
http://bugzilla.gnome.org.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738'. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Mon, 19 Jul 2010 14:09:07 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 09:15:09 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Wed, 25 Aug 2010 06:06:04 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Fri, 17 Sep 2010 05:57:06 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=624701' from 'https://bugzilla.gnome.org/show_bug.cgi?id=624738' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Oct 2010 18:15:48 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147 601340. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 15:54:07 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:32 GMT) Full text and rfc822 format available.

Marked as found in versions evolution/2.30.3-5 and evolution/3.2.2-1. Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:50 GMT) Full text and rfc822 format available.

Merged 549451 582358 584200 587302 587325 590547 594072 597147 599722 601340 Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:55 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:47:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.